[node-patches] Change in ovirt-node[master]: Add make targets for snapshot RPMs for nightlies, use those

rbarry at redhat.com rbarry at redhat.com
Thu Jul 23 19:35:55 UTC 2015


Ryan Barry has uploaded a new change for review.

Change subject: Add make targets for snapshot RPMs for nightlies, use those
......................................................................

Add make targets for snapshot RPMs for nightlies, use those

Add a suffix to the RPM release so we can identify which date and
git version is used in nightly ovirt node images

Change-Id: I7835d2b261375a8c9d0e1393107c139cb7bdc94d
Signed-off-by: Ryan Barry <rbarry at redhat.com>
---
M Makefile.am
M automation/build-node.sh
2 files changed, 11 insertions(+), 1 deletion(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node refs/changes/53/43953/1

diff --git a/Makefile.am b/Makefile.am
index ee65f4a..0b0c89b 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -60,10 +60,20 @@
 	@echo "rpm(s) available at '$(TMPREPOS)'"
 	@echo
 
+snapshot-rpm:  srpm
+	$(RPMBUILD_ARGS) += 'RELEASE_SUFFIX=".$(date --utc +%Y%m%d).git$(git rev-parse --short HEAD)"'
+	$(RPMBUILD) $(RPMBUILD_ARGS) -ts "$(PACKAGE_TARNAME)-$(PACKAGE_VERSION).tar.gz"
+	@echo
+	@echo "rpm(s) available at '$(TMPREPOS)'"
+	@echo
+
 publish:
 	$(MAKE) rpm
 	$(MAKE) create-repo
 
+publish-artifacts: snapshot-rpm
+	$(MAKE) create-repo
+
 create-repo:
 	mkdir -p $(OVIRT_CACHE_DIR)
 	rsync -aq $(TMPREPOS)/ $(OVIRT_CACHE_DIR)/ovirt
diff --git a/automation/build-node.sh b/automation/build-node.sh
index a011b59..8048858 100755
--- a/automation/build-node.sh
+++ b/automation/build-node.sh
@@ -28,6 +28,6 @@
 make distclean || clean_failed=true
 
 ./autogen.sh --with-image-minimizer
-if ! make publish ; then
+if ! make publish-artifacts ; then
     die "Node building failed"
 fi


-- 
To view, visit https://gerrit.ovirt.org/43953
To unsubscribe, visit https://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I7835d2b261375a8c9d0e1393107c139cb7bdc94d
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node
Gerrit-Branch: master
Gerrit-Owner: Ryan Barry <rbarry at redhat.com>



More information about the node-patches mailing list